/* --------------------------------------------------------------------------
 * Experimental Hand Control Interface 
 * --------------------------------------------------------------------------
 * Hilda Chang He 
 * 2016 Spring
 * --------------------------------------------------------------------------
 * Descrip
 * This demos shows how to use the gesture/hand generator.
 * It's not the most reliable yet, a two hands example will follow
 * ----------------------------------------------------------------------------
 * Supporting Library needed:
 * SimpleOpenNI
 * **FingurTracker
 * ----------------------------------------------------------------------------
 */

import java.util.Map;
import java.util.Iterator;
import SimpleOpenNI.*;

void setup(){
  //size(640, 480);
  size(1024,768,P3D);

  setupHGCI();
              
}

void draw()
{
  translate(width/2, height/2, 0);
  HGCI();
  background(200);
  
  beginHGCI();
  //draw real object
  stroke(104, 141, 242);
  fill(250, 250, 150);
  box(100);
  
  endHGCI();
  
  showHands();
   
}











